namespace GMLL00ImportadorXsd.Presentacion 
{
    using System;
    using System.Drawing;
    using System.Globalization;
    using System.Windows.Forms;
    using CorpPanIdentifNC.Negocio;
    using CorpPanIdentifNC.Presentacion;
    using corpPerfilesNC;
    using corpUsuariosNC;
    using GMLL00ImportadorXsd.Utilidades.Localizacion;

    internal static class CorpHelper
    {
        private const string CodigoNivelAccesoConsulta = "C";
        private const string CodigoNivelAccesoModificacion = "M";
        private const string CodigoNivelAccesoSinAcceso = "S";

        private const string CodigoIdiomaEspaniol = "C";
        private const string CodigoIdiomaEuskera = "E";

        public static string Identificar(MenuStrip menu, object contenedorAccionesMenu)
        {
            var inicioSesion = new InicioSesion();

           
            string nombreCultura = "es-ES";
            return nombreCultura;
        }

         
       

        private static string ObtenerCodigoIdioma(string nombreCultura)
        {
            string idioma;

            switch (nombreCultura)
            {
                case Localizador.NombreCulturaEspaniol:
                    idioma = CodigoIdiomaEspaniol;
                    break;

                case Localizador.NombreCulturaEuskera:
                    idioma = CodigoIdiomaEuskera;
                    break;

                ////case Cultura.Ninguna:
                default:
                    throw new NotSupportedException(string.Format(
                        CultureInfo.InvariantCulture,
                        "Nombre de cultura '{0}' no soportado.",
                        nombreCultura));
            }

            return idioma;
        }

         
    }
}
